﻿/** @jsx React.DOM */ 

var CommentBox = React.createClass({
	getInitialState: function() {
    return {data: []};
  },
  componentWillMount: function() {
    var xhr = new XMLHttpRequest();
    xhr.open('get', this.props.url, true);
    xhr.onload = function() {
      var data = JSON.parse(xhr.responseText);
      this.setState({ data: data });
    }.bind(this);
    xhr.send();
  },

  render: function() {
    return (
      <div className="commentBox">       
        <h1>Comments</h1>
        <CommentList data={this.state.data} />
          <br />
       
      </div>
    );
  }
});




var CommentList = React.createClass({
  render: function() {
    var commentNodes = this.props.data.map(function (fff) {
      return (
        <Comment author={fff.Author}>
          {fff.Text}
        </Comment>
      );
    });
    return (
      <div className="commentList">
         {commentNodes}
      </div>
    );
  }
});

var Comment = React.createClass({
  render: function() {
   
    return (
      <div className="comment">
        <h2 className="commentAuthor">
          {this.props.author}
        </h2>
          {this.props.children}
      </div>
    );
  }
});

React.render(
  <CommentBox url="/Home/Reactjs" />,
  document.getElementById('content')
);


 
